import { jsx as _jsx } from "react/jsx-runtime";
import { memo, useMemo } from 'react';
import { createRowEntries } from '../verbForm/createRowEntries.js';
import { VerbDescription } from '../verbForm/VerbDescription.js';
export const SpreadDescription = /*#__PURE__*/ memo(function SpreadDescription(props) {
    const { step: { args  } ,  } = props;
    const sub = createRowEntries(args.columns, (value)=>({
            value
        }), 3, props);
    const rows = useMemo(()=>{
        const { step: { args  } ,  } = props;
        return [
            {
                before: `column${args.columns?.length !== 1 ? 's' : ''}`,
                value: args.columns.length === 0 ? undefined : '',
                sub
            },
            {
                before: 'split delimiter',
                value: args.delimiter
            },
            {
                before: 'onehot values',
                value: args.onehot ? `yes` : 'no'
            }, 
        ];
    }, [
        props,
        sub
    ]);
    return /*#__PURE__*/ _jsx(VerbDescription, {
        ...props,
        rows: rows
    });
});
